<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    电话号码<input type="text" name="" id="tel">
    邮政编码<input type="text" name="" id="psot">
    邮箱<input type="text" name="" id="email">
    <input type="button" value="判断" id="btn">

    <script>
        //验证表单输入手机号是否合法
        //var oTel = document.getElementById("tel");
        //var oPost = document.getElementById("post");
        var oEmail = document.getElementById("email");
        var oBtn = document.getElementById("btn");

        oBtn.onclick = function () {
           // var postStr = oPost.value;
          //  var telStr = oTel.value;
            var emailStr = oEmail.value;
            var re1 = /^[a-z0-9A-Z]+[- | a-z0-9A-Z . _]+@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-z]{2,}$/;
            if (re1.test(emailStr)){
                alert("合法手机号");
            }
            else {
                alert("不合法手机号");
            }
        }
    </script>
</body>
</html>